Name:           perl-Net-DBus
Version:        0.33.6
Release:        4%{?dist}
Summary:        Use and provide DBus services
License:        GPL+ or Artistic 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-DBus/
Source0:        http://www.cpan.org/authors/id/D/DA/DANBERR/Net-DBus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  dbus-devel  >= 0.33, pkgconfig
# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
# cpan
BuildRequires:  perl(XML::Grove)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Twig)
# test
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)


%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.33 development version of
DBus, but should work with later versions too, providing the API changes
have not been too drastic.

%prep
%setup -q -n Net-DBus-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES README examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.33.6-2
Rebuild for new perl

* Thu Feb 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.33.6-1
- update to 0.33.6
- update license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.33.5-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.33.5-2
- bump

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.33.5-1
- update to 0.33.5
- fixup perl BR's
- add t/ to doc

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.33.4-3
- nix t/30-server.t until the test is fixed

* Sat Nov 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.33.4-2
- add additional BR's
- update summary

* Tue Nov 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.33.4-1
- update to 0.33.4
- nix now-unneeded source regexp/tweak

* Sat Nov 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.33.3-1
- Specfile autogenerated by cpanspec 1.69.1.
